# Class ConnectRequest

java.lang.Object
org.apache.zookeeper.proto.ConnectRequest

All Implemented Interfaces:
  `Record`

@Public public class ConnectRequest extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`ConnectRequest()`
`ConnectRequest(int protocolVersion, long lastZxidSeen, int timeOut, long sessionId, byte[] passwd, boolean readOnly)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object peer_)`
`void`
`copyFrom(ConnectRequest from)`
`void`
`deserialize(InputArchive a_, String tag)`
`boolean`
`equals(Object peer_)`
`long`
`getLastZxidSeen()`
`byte[]`
`getPasswd()`
`int`
`getProtocolVersion()`
`boolean`
`getReadOnly()`
`long`
`getSessionId()`
`int`
`getTimeOut()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`serialize(OutputArchive a_, String tag)`
`void`
`setLastZxidSeen(long m_)`
`void`
`setPasswd(byte[] m_)`
`void`
`setProtocolVersion(int m_)`
`void`
`setReadOnly(boolean m_)`
`void`
`setSessionId(long m_)`
`void`
`setTimeOut(int m_)`
`static String`
`signature()`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectRequest

public ConnectRequest()

### ConnectRequest

public ConnectRequest(int protocolVersion, long lastZxidSeen, int timeOut, long sessionId, byte[] passwd, boolean readOnly)

## Method Details

### getProtocolVersion

public int getProtocolVersion()

### setProtocolVersion

public void setProtocolVersion(int m_)

### getLastZxidSeen

public long getLastZxidSeen()

### setLastZxidSeen

public void setLastZxidSeen(long m_)

### getTimeOut

public int getTimeOut()

### setTimeOut

public void setTimeOut(int m_)

### getSessionId

public long getSessionId()

### setSessionId

public void setSessionId(long m_)

### getPasswd

public byte[] getPasswd()

### setPasswd

public void setPasswd(byte[] m_)

### getReadOnly

public boolean getReadOnly()

### setReadOnly

public void setReadOnly(boolean m_)

### copyFrom

public void copyFrom(ConnectRequest from)

### serialize

public void serialize(OutputArchive a_, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive a_, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Throws:
  `IOException`

### compareTo

public int compareTo(Object peer_) throws ClassCastException

Throws:
  `ClassCastException`

### equals

public boolean equals(Object peer_)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### signature

public static String signature()